PDA

View Full Version : SLES 11 SP4 How to install libssl.so.0.9.8e and libcrypto.so.0.9.8e



william1
07-Nov-2016, 01:20
Hi,

There is software I'm installing for SAP HANA and I learn I need to update libssl and libcrypto before I do the install. Do you know where I can find libssl.so.0.9.8e and libcrypto.so.0.9.8e and how do I install these components?

Regards,


William

ab
07-Nov-2016, 03:10
On SLES 11 the following package provides what you're after:

libopenssl0_9_8-0.9.8j-0.50.1


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

smflood
07-Nov-2016, 04:16
william1 Wrote in message:

> There is software I'm installing for SAP HANA and I learn I need to
> update libssl and libcrypto before I do the install. Do you know where
> I can find libssl.so.0.9.8e and libcrypto.so.0.9.8e and how do I install
> these components?

Are you using "regular" SUSE Linux Enterprise Server (SLES) or
SLES for SAP Applications? Whichever it is which release and
service pack (SP)? Please post the output from "cat
/etc/*release".

HTH.
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/

william1
07-Nov-2016, 14:44
On SLES 11 the following package provides what you're after:

libopenssl0_9_8-0.9.8j-0.50.1


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

Do you know where I can download this file and how to install it? I'm new to SLES

william1
07-Nov-2016, 14:45
william1 Wrote in message:

> There is software I'm installing for SAP HANA and I learn I need to
> update libssl and libcrypto before I do the install. Do you know where
> I can find libssl.so.0.9.8e and libcrypto.so.0.9.8e and how do I install
> these components?

Are you using "regular" SUSE Linux Enterprise Server (SLES) or
SLES for SAP Applications? Whichever it is which release and
service pack (SP)? Please post the output from "cat
/etc/*release".

HTH.
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/


NAME="SLES"
VERSION="11.4"
VERSION_ID="11.4"
PRETTY_NAME="SUSE Linux Enterprise Server 11 SP4"
ID="sles"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:suse:sles:11:4"
SUSE Linux Enterprise Server 11 (x86_64)
VERSION = 11
PATCHLEVEL = 4

malcolmlewis
07-Nov-2016, 15:17
Hi
If you have a current subscription it should be available via the online repositories or manually via patch finder;
https://download.suse.com/Download?buildid=k9bjThL5v9g~

ab
07-Nov-2016, 15:23
Normally you'd just get it from a software repository; this is not a
special package, and should be part of the system by default. For
example, run this command:



sudo zypper in libopenssl0_9_8



--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

william1
07-Nov-2016, 15:37
Hi
If you have a current subscription it should be available via the online repositories or manually via patch finder;
https://download.suse.com/Download?buildid=k9bjThL5v9g~

Thanks for providing the link. When I click on download link under Source Packages I get an 404 error.

william1
07-Nov-2016, 15:44
Normally you'd just get it from a software repository; this is not a
special package, and should be part of the system by default. For
example, run this command:



sudo zypper in libopenssl0_9_8



--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

Thanks this did work. Do you know how to update libcrypto to libcrypto.so.0.9.8e as well?

william1
07-Nov-2016, 17:47
Thanks this did work. Do you know how to update libcrypto to libcrypto.so.0.9.8e as well?

You can ignore my above comment. I notice updating libcrypto was only for RedHat Linux after me reviewing SAP notes.

I'm still running into issues upgrading SAP HANA after upgrading libopenssl0_9_8. I will create a support ticket with SAP regarding this.

Thanks for the help.



William

william1
07-Nov-2016, 21:27
You can ignore my above comment. I notice updating libcrypto was only for RedHat Linux after me reviewing SAP notes.

I'm still running into issues upgrading SAP HANA after upgrading libopenssl0_9_8. I will create a support ticket with SAP regarding this.

Thanks for the help.



William

I did got a reply back from SAP. They wanted me to try CHMOD 777 instead of 754 for the installation files. 777 did resolved the issues.

Thanks for everyone provided support for this thread.


Regards,



William